Get Insider Transactions
curl --request GET \
--url https://data-tools.prd.arrays.org/api/v1/stocks/insider/transactions \
--header 'X-API-Key: <api-key>'import requests
url = "https://data-tools.prd.arrays.org/api/v1/stocks/insider/transactions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://data-tools.prd.arrays.org/api/v1/stocks/insider/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"amount": "<string>",
"filing_date": "<string>",
"form_type": "<string>",
"is_10b51": true,
"is_director": true,
"is_officer": true,
"is_sp500": true,
"is_ten_percent_owner": true,
"observed_at": 123,
"officer_title": "<string>",
"owner_name": "<string>",
"price": "<string>",
"security_ad_code": "<string>",
"security_title": "<string>",
"shares_owned_after": "<string>",
"shares_owned_before": "<string>",
"symbol": "<string>",
"transaction_code": "<string>",
"transaction_date": "<string>",
"transactions": 123,
"tx_id": "<string>"
}
],
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}{
"data": "<unknown>",
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}{
"data": "<unknown>",
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}Stock
Get Insider Transactions
US share-class symbols accept both BRK.B and BRK-B. When symbol is provided, matching scalar symbol fields in the response echo the request spelling.
Feature Overview OpenAPI JSON Spec Retrieve insider transaction data. Provides comprehensive insider trading information including officer/director status, SEC filings, transaction codes, and ownership changes.
GET
/
v1
/
stocks
/
insider
/
transactions
Get Insider Transactions
Authorizations
API Key authentication. Example: "your-api-key-here"
Query Parameters
Stock symbol (e.g., AAPL, TSLA). US share classes accept both BRK.B and BRK-B.
Filter by insider name (case-insensitive partial match)
Filter by SEC Form 4 transaction code
Available options:
A, C, D, E, F, G, H, I, J, L, M, P, S, U, W, X, Z Start time (Unix timestamp in seconds)
End time (Unix timestamp in seconds)
Date field to filter on
Available options:
TRANSACTION_DATE, FILING_DATE, OBSERVED_AT Maximum number of records (1-5000, default 1000)

